
HSBC Demo - Feature #13007

Real time installment Conversion

17 January 2022 11:09 AM - Hoo Dextor

Status: Closed Start date: 17 January 2022

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Platform: MDAS900 (Hybrid-PhoneGap)

Description

Real time installment Conversion, refer to uploaded image for the flow with numbering

branch code: 

https://smes.silverlakegroup.com.my:4430/svn/mleb/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showro

om-nx-hsbc

The behavior similar like balance conversion

logic of work:

1. the threshold of RM 500 set in json file, the wording of "Consider installment conversion..." only show if more than threshold set in

json

2. the calculation of upfront interest -> total amount * (interest ) , for example: 600 * 1.88 = 11.28

3. installment per month -> total amount / total months, for example: 6 months tenure, 600 / 6 = 100

Value shall be carry from the user selection, * without ws call

History

#1 - 20 January 2022 09:45 AM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

- % Done changed from 0 to 100

r215856 | ahmadsalehudin | 2022-01-20 09:25:55 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/CASA/transaction

-details.html

A

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/shared/local_json/performC

CTransDetailSummary.json

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/CASA/transaction

-details.scss

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-de

tails.html

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/CASA/transaction

-details.ts

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-de

tails.ts
#2 - 20 January 2022 11:15 AM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Released v5.0.0.0 SIT

#3 - 20 January 2022 01:57 PM - Hoo Dextor

- File 13007.jpg added

- Status changed from Pending SIT  to Assigned

- Assignee changed from Hoo Dextor to Megat AhmadSalehudin

The last page should not show the convert message, refer to the attachment

#4 - 20 January 2022 03:01 PM - Megat AhmadSalehudin

- Status changed from Assigned to Resolved

- Assignee changed from Megat AhmadSalehudin to Hoo Dextor

r215864 | ahmadsalehudin | 2022-01-20 14:41:56 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/branches/showroom-proj-base-i5/showroom-nx-hsbc/apps/showroom-mb/src/app/accounts/credit-cards/cc-ba

lance-conversion/cc-balance-conversion.ts
#5 - 20 January 2022 03:07 PM - Megat AhmadSalehudin

- Status changed from Resolved to Pending SIT 

Replaced v5.0.0.0 SIT

#6 - 11 March 2022 09:22 AM - Hoo Dextor

- Status changed from Pending SIT  to Closed

Files

rtic_02.jpg 36.7 KB 17 January 2022 Hoo Dextor

rtic_01.jpg 44.7 KB 17 January 2022 Hoo Dextor
